--- zaptel/zonedata.c	2006-09-14 10:41:38.000000000 +0400
+++ zonedata.c	2006-09-14 10:28:15.000000000 +0400
@@ -607,5 +607,23 @@
             { ZT_TONE_STUTTER, "!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425" },
           },
         },
+	{ 36, "ru", "Russian Federation", { 800, 3200 },
+	  {
+            /* Reference: http://www.itu.int/ITU-T/inr/forms/files/tones-0203.pdf */
+             { ZT_TONE_DIALTONE, "425" },
+	     { ZT_TONE_BUSY, "425/400,0/400" },
+	     { ZT_TONE_RINGTONE, "425/800,0/3200" },
+	     { ZT_TONE_CONGESTION, "425/200,0/200" },
+	     { ZT_TONE_CALLWAIT, "425/150,0/150,425/150,0/8000" },
+	     /* DIRECTRECALL - not specified */
+	     { ZT_TONE_DIALRECALL, "425/650,0/25" },
+	     /* RECORDTONE - not specified */
+	     { ZT_TONE_RECORDTONE, "1400/500,0/15000" },
+	     /* INFO - not specified */
+	     { ZT_TONE_INFO, "950/650,0/325,950/325,0/30,1400/1300,0/2600" },
+	     /* STUTTER - not specified */
+	     { ZT_TONE_STUTTER, "425/650,0/25" },
+	  },
+	},
 	{ -1 }
 };
